# $Revision: 1.5 $, $Date: 2007-12-25 19:26:34 $
Summary:	Othello clone (GTK version)
Summary(pl.UTF-8):	Klon Othello (wersja GTK)
Name:		hexxagon
Version:	1.0
Release:	1
Source0:	http://nesqi.homeip.net/hexxagon/download/%{name}-%{version}.tar.bz2
# Source0-md5:	f4064f4324598453dacbc1387aa0482c
Source1:	%{name}.png
# Source1-md5:	1548c629ff9f257871dcb16821cdd66e
Source2:	%{name}.desktop
Patch0:		%{name}-gcc4.patch
License:	GPL
Group:		X11/Applications/Games
URL:		http://nesqi.homeip.net/hexxagon/
BuildRequires:	gtk+2-devel
BuildRequires:	gtkmm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hexxagon is a clone of Hexxagon, an adaptation of the Othello board
game written for DOS. This is the GTK1 version of Hexxagon.

%description -l pl.UTF-8
Hexxagon to klon gry Hexxagon, adapcji planszowej gry Othello dla
DOS-a. Jest to wersja GTK1 gry Hexxagon.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE2} -D $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hexxagon.spec,v $
Revision 1.5  2007-12-25 19:26:34  glen
- package .desktop

Revision 1.4  2007-12-25 19:25:14  glen
- add desktop and icon

Revision 1.3  2007-12-25 18:14:38  adamg
- fix build on gcc4
- pl summary, description
- proper group
- adapterized

Revision 1.2  2007-12-25 17:46:33  glen
- builds on ac gcc

Revision 1.1  2007-12-25 17:40:28  glen
- based on http://cvs.mandriva.com/cgi-bin/viewvc.cgi/contrib-SPECS/hexxagon/hexxagon.spec?revision=1.7
